Package com.smartgwt.client.util.workflow

# Class UserConfirmationTask

java.lang.Object
com.smartgwt.client.core.BaseClass
com.smartgwt.client.util.workflow.ProcessElement
com.smartgwt.client.util.workflow.UserConfirmationTask

All Implemented Interfaces:
  `HasHandlers`

Direct Known Subclasses:
  `AskForValueTask`

public class UserConfirmationTask extends ProcessElement
Chooses one or another next process element based on confirmation of a message shown to user.

If the user clicks OK, the `nextElement` is chosen, otherwise the choice is `failureElement`.

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.BaseClass

  `config, configOnly, factoryCreated, factoryProperties, id, scClassName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UserConfirmationTask()`
  `UserConfirmationTask(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `JavaScriptObject`
  `create()`
  `String`
  `getFailureElement()`
  ID of the next sequence or element to proceed to if the criteria do not match.
  `String`
  `getMessage()`
  Message to display to the user for confirmation.
  `String`
  `getNextElement()`
  Next `sequence` or `element` to execute if the criteria match the process state.
  `static UserConfirmationTask`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `UserSummary`
  `getTextFormula()`
  Formula to be used to calculate the message contents.
  `UserConfirmationTask`
  `setFailureElement(String failureElement)`
  ID of the next sequence or element to proceed to if the criteria do not match.
  `UserConfirmationTask`
  `setMessage(String message)`
  Message to display to the user for confirmation.
  `UserConfirmationTask`
  `setNextElement(String nextElement)`
  Next `sequence` or `element` to execute if the criteria match the process state.
  `UserConfirmationTask`
  `setTextFormula(UserSummary textFormula)`
  Formula to be used to calculate the message contents.

  ### Methods inherited from class com.smartgwt.client.util.workflow.ProcessElement

  `completeElement, convertToJavaScriptArray, executeElement, getBindOutput, getClassDescription, getComponentReferences, getCurrentProcess, getDescription, getDynamicValue, getEditorType, getElementDescription, getForceSingle, getID, getInstanceDescription, getInstanceTitle, getInvalidTaskMessage, getJsObj, getMockMode, getOrCreateJsObj, getPassThruOutput, getProcessElements, getSupportsMultipleInputRecords, getTextFormulaValue, getTypeTitle, getUndefinedComponentMessage, getUnresolvedComponentMessage, getWaitDuration, getWaitFor, getWaitLocator, isCreated, isValid, objectReferencesLastTaskOutput, onInit, reset, setAttribute, setBindOutput, setClassDescription, setCurrentProcess, setDescription, setEditorType, setForceSingle, setID, setJavaScriptObject, setMockMode, setPassThruOutput, setSupportsMultipleInputRecords, setTypeTitle, setUndefinedComponentMessage, setUnresolvedComponentMessage, setWaitDuration, setWaitFor, setWaitLocator, updateGlobalIDInCriteria, updateGlobalIDInTextFormula, updateGlobalIDInValueProperty, updateGlobalIDInValues, updateGlobalIDReferences, updateLastElementBindingReferences, updateLastElementInCriteria, updateLastElementInValueProperty, updateLastElementInValues`

  ### Methods inherited from class com.smartgwt.client.core.BaseClass

  `addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, asSGWTComponent, clearDynamicProperty, createJsObj, destroy, doAddHandler, doInit, error, error, errorIfNotCreated, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsString, getAttributeAsStringArray, getClassName, getConfig, getHandlerCount, getRef, getRuleScope, getScClassName, getTestInstance, hasAutoAssignedID, hasDynamicProperty, internalSetID, internalSetID, isConfigOnly, isFactoryCreated, onBind, registerID, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setFactoryCreated, setProperty, setProperty, setProperty, setProperty, setRuleScope, setScClassName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UserConfirmationTask

    public UserConfirmationTask()

  - ### UserConfirmationTask

    public UserConfirmationTask(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static UserConfirmationTask getOrCreateRef(JavaScriptObject jsObj)

  - ### create

    public JavaScriptObject create()
    Overrides:
      `create` in class `ProcessElement`

  - ### setFailureElement

    public UserConfirmationTask setFailureElement(String failureElement) throws IllegalStateException
    ID of the next sequence or element to proceed to if the criteria do not match.
    Parameters:
      `failureElement` - New failureElement value. Default value is null
    Returns:
      `UserConfirmationTask` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getFailureElement

    public String getFailureElement()
    ID of the next sequence or element to proceed to if the criteria do not match.
    Returns:
      Current failureElement value. Default value is null

  - ### setMessage

    public UserConfirmationTask setMessage(String message) throws IllegalStateException
    Message to display to the user for confirmation. To display a dynamic message see `textFormula`.
    Parameters:
      `message` - New message value. Default value is null
    Returns:
      `UserConfirmationTask` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getMessage

    public String getMessage()
    Message to display to the user for confirmation. To display a dynamic message see `textFormula`.
    Returns:
      Current message value. Default value is null

  - ### setNextElement

    public UserConfirmationTask setNextElement(String nextElement) throws IllegalStateException
    Next `sequence` or `element` to execute if the criteria match the process state.

    `nextElement` does not need to be specified if this gateway is part of a `sequence` and has a next element in the sequence.

    Note that if there is both a `sequence` and a normal `element` with the same name in the current `Process`, the `sequence` will be used.

    Overrides:
      `setNextElement` in class `ProcessElement`
    Parameters:
      `nextElement` - New nextElement value. Default value is null
    Returns:
      `UserConfirmationTask` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getNextElement

    public String getNextElement()
    Next `sequence` or `element` to execute if the criteria match the process state.

    `nextElement` does not need to be specified if this gateway is part of a `sequence` and has a next element in the sequence.

    Note that if there is both a `sequence` and a normal `element` with the same name in the current `Process`, the `sequence` will be used.

    Overrides:
      `getNextElement` in class `ProcessElement`
    Returns:
      Current nextElement value. Default value is null

  - ### setTextFormula

    public UserConfirmationTask setTextFormula(UserSummary textFormula) throws IllegalStateException
    Formula to be used to calculate the message contents. Use `message` property to assign a static message instead.

    Available fields for use in the formula are the current `rule context`.

    Parameters:
      `textFormula` - New textFormula value. Default value is null
    Returns:
      `UserConfirmationTask` instance, for chaining setter calls
    Throws:
      `IllegalStateException` - this property cannot be changed after the underlying component has been created

  - ### getTextFormula

    public UserSummary getTextFormula()
    Formula to be used to calculate the message contents. Use `message` property to assign a static message instead.

    Available fields for use in the formula are the current `rule context`.

    Returns:
      Current textFormula value. Default value is null